Subject: x2go fails unhelpfully when a session fails to start

From: "Norman Gray" <[email-masked]>
Date: Fri, 27 Oct 2017 18:02:20 +0100

Package: x2goserver
Version: 4.0.1.20

When a username is rejected by the 'valid username' test (see separate 
bug report<https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1229>), the 
session doesn't fail, but simply seems to hang, giving no feedback about 
the problem, nor, as far as I can see, reporting anything in the logs.

To reproduce, attempt to log in using a username such as '123x'.  The 
session doesn't complete the setup, leaving the user at a blank screen.

Suggestion: a user-visible error message should be produced, and an 
informative message sent to the system log.

Best wishes,

Norman

-- 
Norman Gray  :  https://nxg.me.uk